# Retrieve my Business Profile

Retrieve the Stripe business profile associated with the requesting merchant and livemode.

## Request

```curl
curl https://api.stripe.com/v2/network/business_profiles/me \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-04-22.preview"
```

### Response

```json
{
  "id": "profile_test_61UQtAVw2yEA80y4mA6UQtAVBKSQt4084jw8nwJXUUdk",
  "object": "v2.network.business_profile",
  "username": "furever",
  "display_name": "Furever",
  "description": "Premium pet supplies and grooming products.",
  "url": "https://furever.com",
  "branding": {
    "primary_color": "#635BFF",
    "secondary_color": "#0A2540"
  }
}
```

## Returns

## Response attributes

- `id` (string)
  The ID of the Stripe business profile; also known as the Network ID. This is the ID used to identify the business on the Stripe network.

- `object` (string, value is "v2.network.business_profile")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- [`branding`](https://docs.stripe.com/api/v2/network/business-profiles/retrieve-network-business-profile-me.md?query=branding&api-version=2026-04-22.preview) (object, nullable)
  Branding data for the business.

- `description` (string, nullable)
  The description of the business.

- `display_name` (string)
  The display name of the Stripe business profile.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `url` (string, nullable)
  The URL of the business.

- `username` (string)
  The username of the Stripe business profile.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
